#include<iostream>
#include<sstream>
using namespace std;

typedef long long LL;

LL gcd(LL a, LL b) 
{
  if(!b) return a;
  return gcd(b, a%b);
}

LL lcm(LL a, LL b) 
{
  return a / gcd(a, b) * b;
}


int main (void) 
{
  int n;
  while(cin >> n && n) 
  {
    if(n == 1) { cout << "1" << endl; continue; }
    LL x = 1;
    for(int i = 2; i <= n-1; i++)
      x = lcm(x, i);

    // b/c = 1/(n-1) + ... + 1/2
    LL c = x, b = 0;
    for(int i = 2; i <= n-1; i++)
      b += x / i;
    b *= n;
    LL g = gcd(b, c);
    b /= g; c /= g;

    // ans = a + b/c
    LL a = 1 + n + b / c;
    b %= c;
    if (b==0)
	  cout << a << endl;
	else
	  cout << a << " " << b << " " << c << endl;
  }
  return 0;
}
